
Summary: Min Browser
Name: minbrowser
Version:  1.5.1
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://github.com/minbrowser/min/releases
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no

%description
Min is a smarter, faster web browser. It includes features such as:

    Information from DuckDuckGo in the searchbar.
    Built-in ad and tracker blocking
    Fuzzy search
    Full-text search for bookmarks
    Reading list
    Tabs improvements (tabs open to the right, and fade out when inactive).


%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

%define deb_package Min_%{version}_i386.deb

#download source
cd $RPM_SOURCE_DIR
wget -nc "https://github.com/minbrowser/min/releases/download/v%version/Min_%{version}_i386.deb" 
cd ..

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot



%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%_bindir/*
%_datadir/min
%_datadir/applications/min.desktop
%_datadir/doc/min/copyright
%_datadir/lintian/overrides/min
%_datadir/pixmaps/min.png

%changelog
* Thu Jun 08 2017 adrianomorselli <adrianomorselli> 1.5.1-1uplos2017
- create package for 32bit
